#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs network connection
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Socket-SSL
Summary:	IO::Socket::SSL - nearly transparent SSL encapsulation for IO::Socket::INET
Summary(pl.UTF-8):	IO::Socket::SSL - prawie przezroczysta obudowa SSL dla IO::Socket::INET
Name:		perl-IO-Socket-SSL
Version:	2.066
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ecf96ce2ff9e04a03a2d101c76ce1020
URL:		http://search.cpan.org/dist/IO-Socket-SSL/
%if %{with tests}
BuildRequires:	perl-Net-SSLeay >= 1.46
BuildRequires:	perl-Scalar-List-Utils
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# actually Net::SSLeay using openssl >= 0.9.8
Requires:	openssl >= 0.9.8
Suggests:	perl-Net-IDN-Encode
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server
or client. IO::Socket::SSL supports all the extra features that one
needs to write a full-featured SSL client or server application:
multiple SSL contexts, cipher selection, certificate verification, and
SSL version selection. As an extra bonus, it works perfectly with
mod_perl.

%description -l pl.UTF-8
Ten moduł jest prawdziwym zamiennikiem dla IO::Socket::INET,
używającym SSL do kodowania danych przed przesyłaniem do zdalnego
serwera lub klienta. IO::Socket::SSL wspiera wszystkie dodatkowe
rzeczy potrzebne do napisania w pełni funkcjonalnego klienta lub
serwera SSL: wiele kontekstów SSL, wybór szyfru, weryfikacja
certyfikatu, wybór wersji SSL. Ponadto wspaniale działa z mod_perlem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo "n" | \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/IO/Socket/SSL.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README docs/*
%{perl_vendorlib}/IO/Socket/SSL.pm
%{perl_vendorlib}/IO/Socket/SSL
%{_mandir}/man3/IO::Socket::SSL*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Mar 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Socket-SSL.git;a=log;h=master

* Wed Mar 06 2019 Jan Palus <atler@pld-linux.org> d970a65
- up to 2.066

* Tue Mar 05 2019 Jan Palus <atler@pld-linux.org> 121c57c
- up to 2.064

* Fri Mar 01 2019 Jan Palus <atler@pld-linux.org> 9d3e39d
- up to 2.063

* Mon Feb 25 2019 Jan Palus <atler@pld-linux.org> 3738e87
- up to 2.062

* Sat Feb 23 2019 Jan Palus <atler@pld-linux.org> c50d2fe
- up to 2.061

* Mon Sep 17 2018 Jan Palus <atler@pld-linux.org> 0cf28c9
- up to 2.060

* Sat Aug 18 2018 Jan Palus <atler@pld-linux.org> 31fc30a
- up to 2.059

* Thu Jul 19 2018 Jan Palus <atler@pld-linux.org> 8c36f50
- up to 2.058

* Fri Mar 02 2018 Jan Palus <atler@pld-linux.org> 4b5c4ef
- up to 2.056

* Sun Feb 18 2018 Jan Palus <atler@pld-linux.org> 99129db
- up to 2.055

* Sat Jan 27 2018 Jan Palus <atler@pld-linux.org> 5aaabec
- up to 2.054

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ba7a90c
- up to 2.052

* Mon Sep 11 2017 Jan Palus <atler@pld-linux.org> 18510b1
- up to 2.051

* Tue Aug 15 2017 Jan Palus <atler@pld-linux.org> 3bd8a7a
- up to 2.049

* Sun May 07 2017 Jan Palus <atler@pld-linux.org> aef8883
- up to 2.048

* Fri Feb 17 2017 Jan Palus <atler@pld-linux.org> 8c03eb7
- up to 2.047

* Sun Feb 12 2017 Jan Palus <atler@pld-linux.org> 000a4ea
- up to 2.044

* Sat Jun 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 552bfad
- updated to 2.027

* Tue Apr 05 2016 Jan Palus <atler@pld-linux.org> df05b70
- up to 2.025

* Sat Feb 06 2016 Adam Osuchowski <adwol@pld-linux.org> 39ac7c0
- up to 2.024

